<?php /* Post Format: Gallery */ ?>

<div id="post-<?php the_ID(); ?>" <?php post_class('post-single'); ?>>
    <div class="post-wrapper">
        <div class="post-header">
            <?php if ( is_single() ) { ?>
            	<h1><?php the_title(); ?></h1>
            <?php } else { ?>
            	<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
            <?php } ?>
        </div><!--.post-header-->
        <div class="clearleft"></div>
        <div class="post-content">
        	<?php if( !is_single() && !is_home() && !is_category() && !is_search() && !is_date() && !is_tag() && !is_author() ) { ?>
            
            <?php if ( has_post_thumbnail($post->ID) ) { ?>
    
			<?php $ov_std = get_option_tree('show_overlays','',false,true,-1);
            if ( isset($ov_std[0])  ) {
                if ( function_exists('get_option_tree') && $ov_std[0] == 'Standard' ) { ?>
            <div class="overlay-post"></div>
            <?php }} ?>
            <div class="inner-image-placeholder" id="post-<?php echo $post->ID; ?>-in">
                <a href="<?php the_permalink(); ?>">
                    <div class="image-link-inner"></div>
                </a>
                
                <?php if ( function_exists('get_option_tree') && get_option_tree('disable_captions') != 'Yes' ) { ?>
                <div class="image-post-overlay">
                    <?php if ( has_excerpt( $post->ID ) ) { ?>
                    <div class="image-post-overlay-in">
                        <?php the_excerpt(); ?>
                    </div>
                    <?php } ?>
                </div>
                <?php } ?>
         
                <style type="text/css">
                #post-<?php echo $post->ID; ?>-in {
                    <?php $image_id = get_post_thumbnail_id();
                    $image_url = wp_get_attachment_image_src($image_id,'square', false);
                    $postthumb = $image_url[0];
                    echo 'background-image: url("'.$postthumb.'");'; ?>
                    filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(
                    src='<?php echo $postthumb; ?>',
                    sizingMethod='scale');
                    -ms-filter: "progid:DXImageTransform.Microsoft.AlphaImageLoader(
                    src='<?php echo $postthumb; ?>',
                    sizingMethod='scale')";
                }
                #post-<?php echo $post->ID; ?> {
                    background-color: <?php echo get_post_meta($post->ID, 'satori_project-background', true); ?>;
                }
                </style>
            </div>
            
            <?php } ?>
            
            <a href="<?php the_permalink() ?>">
            	<?php $ov_img = get_option_tree('show_overlays','',false,true,-1);
				if ( isset($ov_img[1])  ) {
					if ( function_exists('get_option_tree') && $ov_img[1] == 'Image/Gallery' ) { ?>
    					<div class="overlay-image"></div>
    			<?php }} ?>
    			<div class="standard-post-linker">
    			</div>
    		</a>
            <?php } ?>
            <?php
			$slider = '<div id="orbit-slider"><div class="container_orbit"><div class="orbit-featured">';
			$args = array(
   				'post_type' => 'attachment',
   				'numberposts' => -1,
  				'post_status' => 'any',
   				'post_parent' => $post->ID
  			);
			$postid = $post->ID;
  			$attachments = get_posts( $args );
     		if ( is_array ( $attachments )) {
				$caption = 0;
        		foreach ( $attachments as $attachment ) {
					$slideimage = wp_get_attachment_image_src( $attachment->ID, 'full' );
					$slider .= '<div class="slider-img" id="slider-img-'.$postid.'-'.$caption.'" data-caption="#'.$postid.'-'.$caption.'"  />';
					$slider .= '<style type="text/css"> #slider-img-'.$postid.'-'.$caption.' { background-image: url("'.$slideimage[0].'") } </style> </div>';
					$slider .= '<img class="slider-img" src="'.$slideimage[0].'" data-caption="#'.$postid.'-'.$caption.'"  />';
					$caption++;
        		}
			}
			$slider .= '</div>';
			if ( is_array ( $attachments )) {
				$caption = 0;
     			foreach ( $attachments as $attachment ) {
					$cap = apply_filters( 'the_title', $attachment->post_excerpt );
					$slider .= '<span class="orbit-caption" id="'.$postid.'-'.$caption.'">'.$cap.'</span>';
					$caption++;
				}
			}
			$slider .= '</div></div>';					
			if ( !empty ( $attachments )) {
				echo $slider;
			}
			if( is_single() ) {
				the_content(__('Read more', 'satori' ));	
			}
			wp_reset_postdata();
			?>
        </div>
        <?php if( is_single() || is_home() || is_category() || is_search() || is_date() || is_tag() || is_author() ) { include 'post-meta.php'; } ?>
        <div class="clearboth"></div>   
    </div>
</div><!--.post-single-->